Scilab Function

unique - extrait les composantes distinctes d'un vecteur

### Calling Sequence

  `[N, [k]]=unique(M)`
  ``

### Parameters

- `M,N` : vecteur réel ou vecteur de chaînes de caractères
- `k` : vecteur d'entiers

### Description

`unique(M)` renvoie un vecteur contenant les valeurs distinctes contenues dans les termes de `M` classées par ordre croissant.

S'il est présent l'argument de sortie `k` contient la position de la première occurrence de chaque valeur distincte dans `M` .

### Examples

    M=round(2*rand(20,1));

    unique(M)
    [N,k]=unique(M)

    unique(string(M))
    [N,k]=unique(string(M))

### See Also

`union` , `sort` , `lex_sort` ,